

%define debfile Rambox_%{version}-linux-amd64.deb

Summary: Messaging Application 
Name: rambox
Version: 2.2.3
Release: %mkrel 1
License: GPL
Group: Networking/WWW
URL: https://github.com/ramboxapp/download/releases
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: binutils xz tar
AutoReqProv: no

%description
Free, Open Source and Cross Platform messaging and emailing app that
combines common web applications into one.

%prep
%setup -T -n %{name} -c

%build

%install
rm -rf %buildroot
mkdir %buildroot

cd $RPM_SOURCE_DIR
wget -nc https://github.com/ramboxapp/download/releases/download/v%{version}/Rambox-%{version}-linux-x64.deb

# extract data from the deb package
ar p $RPM_SOURCE_DIR/Rambox-%{version}-linux-x64.deb data.tar.xz | xz -d -9 | tar x -C %buildroot

#menu
desktop-file-install --vendor="" \
  --remove-category="Office" \
  --add-category="X-MandrivaLinux-Internet-WebBrowsers" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*


%clean
rm -rf %buildroot


%files
%defattr(-,root,root)
/opt/Rambox
%{_datadir}

%changelog
* Wed Jan 17 2024 tex - 2.2.3-1pclos2024
- new version

* Thu Oct 19 2023 tex - 2.2.0-1pclos2023
- new version

* Sun Jul 02 2023 tex - 2.1.4-1pclos2023
- new version

* Mon Feb 28 2022 tex - 0.7.9-1pclos2022
- new version

* Wed Oct 21 2020 tex - 0.7.7-1pclos2020
- new version

* Sun Apr 05 2020 tex - 0.7.5-1pclos2020
- new version

* Mon Jan 27 2020 tex - 0.7.3-1pclos2020
- new version

* Tue Jun 25 2019 tex - 0.6.9-1pclos2019
- new version

* Wed May 08 2019 tex - 0.6.7-1pclos2019
- new version

* Sat Mar 16 2019 tex - 0.6.4-1pclos2019
- new version

